/*
  NSString-NIRAdditions.m
 
  HebrewService - system services for Hebrew users.

  Copyright (C) 2003-2006 Nir Soffer
 
  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the
  Free Software Foundation; either version 2 of the License, or (at your
  option) any later version.
 
  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details:
  http://www.gnu.org/licenses/gpl.html
*/

#import <CoreFoundation/CoreFoundation.h>
#import "NSString-NIRAdditions.h"


@implementation NSString (NSStringNIRAdditions)

+ (id)stringWithContentsOfFile:(NSString *)absolutePath
                      encoding:(unsigned)encoding; {
    // Read file into NSData then create string using encoding
    NSData *data = [[NSData alloc] initWithContentsOfFile:absolutePath];
    id instance = [[[self class] alloc] initWithData:data
                                            encoding:encoding];
    [data release];
    return [instance autorelease];
}

@end

