/*

AllTests.m

DirectionService - controll writting direction
Copyright (C) 2003 Nir Soffer

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details: http://www.gnu.org/licenses/gpl.html

*/

#import "AllTests.h"
#import "NSString-FriBidiAdditionsTest.h"
#import "NSPasteboard-NIRAdditionsTest.h"
#import "NIRHebrewServiceTest.h"

@implementation AllTests

+ (TestSuite *)suite
{
    TestSuite *suite = [TestSuite suiteWithName:@"HebrewService Tests"];

    // tests
    [suite addTest:[TestSuite suiteWithClass:
        [NSString_FriBidiAdditionsTest class]]];
    [suite addTest:[TestSuite suiteWithClass:
        [NSPasteboardNIRAdditionsTest class]]];
    [suite addTest:[TestSuite suiteWithClass:
        [NIRHebrewServiceTest class]]];

    return suite;
}

@end 